Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.fortuna.ical4j.data
Class CalendarOutputter

    java.lang.Object
      net.fortuna.ical4j.data.CalendarOutputter

    public class CalendarOutputter

extends Object

Writes an iCalendar model to an output stream.

Author:
  Ben Fortuna

Constructor Summary
`CalendarOutputter()` Default constructor.
`CalendarOutputter(boolean validating)`
`CalendarOutputter(boolean validating, int foldLength)`

Method Summary
`boolean` | `isValidating()`
`void` | `output(Calendar calendar, OutputStream out)` Outputs an iCalender string to the specified output stream.
`void` | `output(Calendar calendar, Writer out)` Outputs an iCalender string to the specified writer.
`void` | `setValidating(boolean validating)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CalendarOutputter

    public CalendarOutputter()

  Default constructor.

### CalendarOutputter

    public CalendarOutputter(boolean validating)

Parameters:
  `validating` - indicates whether to validate calendar when outputting to stream

### CalendarOutputter

    public CalendarOutputter(boolean validating,
                             int foldLength)

Parameters:
  `validating` - indicates whether to validate calendar when outputting to stream
  `foldLength` - maximum number of characters before a line is folded

Method Detail

### output

    public final void output(Calendar calendar,
                             OutputStream out)
                      throws IOException,
                             ValidationException

  Outputs an iCalender string to the specified output stream.

  Parameters:
    `calendar` - calendar to write to ouput stream
    `out` - an output stream
  Throws:
    `IOException` - thrown when unable to write to output stream
    `ValidationException`

### output

    public final void output(Calendar calendar,
                             Writer out)
                      throws IOException,
                             ValidationException

  Outputs an iCalender string to the specified writer.

  Parameters:
    `calendar` - calendar to write to writer
    `out` - a writer
  Throws:
    `IOException` - thrown when unable to write to writer
    `ValidationException`

### isValidating

    public final boolean isValidating()

  Returns:
    Returns the validating.

### setValidating

    public final void setValidating(boolean validating)

  Parameters:
    `validating` - The validating to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2007 Modularity. All Rights Reserved.